package com.inspect.statistics.service;

import com.alibaba.fastjson.JSONArray;
import com.inspect.base.core.web.domain.AjaxResult;
import com.inspect.statistics.domain.StatisticsPatrolResult;

import java.io.IOException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletResponse;

public interface PatrolStatisticsService {
    List<StatisticsPatrolResult> queryPatrolResult(StatisticsPatrolResult result);

    List<StatisticsPatrolResult> queryPatrolResultMulti(StatisticsPatrolResult result);

    List<StatisticsPatrolResult> queryPatrolResultMultiExport(StatisticsPatrolResult result);

    Map<String, List<StatisticsPatrolResult>> queryPatrolResultCharts(StatisticsPatrolResult result);

    JSONArray chartsMulti(StatisticsPatrolResult result);

    void verifyParam(StatisticsPatrolResult result);

    AjaxResult queryNumTypeInfo(Integer key, String key2, String key3);

    AjaxResult analyse(Integer key, String key2, double key3);

    void configExport(List<StatisticsPatrolResult> resultList, StatisticsPatrolResult result, HttpServletResponse response) throws IOException;

    HashMap<String, String> colMap();
}
